<template>
  <div class="app-container rela-container">
    <div class="common-title">高管</div>
    <div class="table-item">
      <el-table
        :data="tableData"
        border
        style="width: 100%"
        :default-sort = "{prop: 'date', order: 'descending'}"
      >
        <el-table-column label="序号" width="55" align="left" fixed>
          <template slot-scope="scope">{{ queryParams.pageNum * queryParams.pageSize - queryParams.pageSize + scope.$index + 1 }}</template>
        </el-table-column>
        <el-table-column
          prop="name"
          label="姓名"></el-table-column>
        <el-table-column
          prop="jobTitle"
          label="职务"></el-table-column>
      </el-table>
    </div>
  </div>
</template>

<script>
import {keymembers} from "@/api/detail/party-a/overview"

export default {
  name: 'Senior',
  props: ['companyId'],
  data() {
    return {
      queryParams: {
        cid: this.companyId,
        pageNum: 1,
        pageSize: 100
      },
      //表格数据
      tableData:[]
    }
  },
  created() {
    this.handleQuery()
  },
  mounted() {
  },
  methods: {
    async handleQuery(){
      let res = await keymembers(this.queryParams)
      if(res.code==200){
        this.tableData = res.rows
      }
    }
  }
}
</script>

<style lang="scss" scoped>
  .rela-container{
    margin: 0;
    padding: 24px 16px;
    background: #FFFFFF;
    border-radius: 4px;
    .table-item{
      margin-top: 16px;
      ::v-deep .el-table--border .el-table__cell{
        border-bottom: 0;
      }
    }
  }
</style>
